org.hibernate.search.query.dsl.sort.impl

## Class ConnectedSortDistanceFieldContext

- java.lang.Object
- - org.hibernate.search.query.dsl.sort.impl.AbstractConnectedSortContext
  - - org.hibernate.search.query.dsl.sort.impl.ConnectedSortDistanceFieldContext

- All Implemented Interfaces:
    SortDistanceFieldContext, SortLatLongContext

      public class ConnectedSortDistanceFieldContext
      extends AbstractConnectedSortContext
      implements SortDistanceFieldContext, SortLatLongContext

  Author:
    Emmanuel Bernard emmanuel@hibernate.org, Yoann Rodiere

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.query.dsl.sort.impl.AbstractConnectedSortContext

      `queryContext, states`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectedSortDistanceFieldContext(QueryBuildingContext queryContext, SortFieldStates states)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SortDistanceFieldAndReferenceContext` | `andLongitude(double longitude)` Sort by the distance to the given longitude and `formerly-defined latitude`.
    `SortDistanceFieldAndReferenceContext` | `fromCoordinates(Coordinates coordinates)` Sort by the distance to the given `Coordinates`.
    `SortLatLongContext` | `fromLatitude(double latitude)` Sort by the distance to the given latitude and `subsequently-defined longitude`.

    - ### Methods inherited from class org.hibernate.search.query.dsl.sort.impl.AbstractConnectedSortContext

      `getQueryContext, getStates`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectedSortDistanceFieldContext

          public ConnectedSortDistanceFieldContext(QueryBuildingContext queryContext,
                                                   SortFieldStates states)

  - ### Method Detail

    - #### fromCoordinates

          public SortDistanceFieldAndReferenceContext fromCoordinates(Coordinates coordinates)

      Description copied from interface: `SortDistanceFieldContext`
      Sort by the distance to the given `Coordinates`.
      Specified by:
        `fromCoordinates` in interface `SortDistanceFieldContext`
      Parameters:
        `coordinates` - The reference coordinates to which the distance will be computed for each document.

    - #### fromLatitude

          public SortLatLongContext fromLatitude(double latitude)

      Description copied from interface: `SortDistanceFieldContext`
      Sort by the distance to the given latitude and `subsequently-defined longitude`.
      Specified by:
        `fromLatitude` in interface `SortDistanceFieldContext`
      Parameters:
        `latitude` - The reference latitude, part of the coordinates to which the distance will be computed for each document.

    - #### andLongitude

          public SortDistanceFieldAndReferenceContext andLongitude(double longitude)

      Description copied from interface: `SortLatLongContext`
      Sort by the distance to the given longitude and `formerly-defined latitude`.
      Specified by:
        `andLongitude` in interface `SortLatLongContext`
      Parameters:
        `longitude` - The reference longitude, part of the coordinates to which the distance will be computed for each document.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved